using System;
using System.Data;
using System.Data.SqlClient;

namespace WebApplication6
{
	public class SQLLayer
	{
		private SQLLayer() {}

		public static SqlConnection Connection
		{
			get
			{
				return new SqlConnection( "server=(local);database=sqlTEST;Integrated Security=true;" );
			}
		}

		public static DataTable Uczelnie
		{
			get
			{
				using ( SqlConnection c = Connection )
				{					
					SqlDataAdapter da = new SqlDataAdapter( "sp_UCZELNIE", c );
					DataTable dt = new DataTable();

					da.Fill( dt );

					return dt;
				}
			}
		}

		public static int Uczelnie_Indeks( int ID_UCZELNIA )
		{
			DataTable u = Uczelnie;

			for ( int i=0; i<u.Rows.Count; i++ )
				if ( (int)u.Rows[i]["ID_UCZELNIA"] == ID_UCZELNIA )
					return i;

			return -1;
		}

		public static DataTable Studenci( int sortexpr )
		{
			using ( SqlConnection c = Connection )
			{					
				SqlCommand cmd = new SqlCommand( "sp_STUDENCI", c );				
				cmd.CommandType = CommandType.StoredProcedure;
				cmd.Parameters.Add( "@SORTEXPR", SqlDbType.Int, 4 ).Value = sortexpr;

				SqlDataAdapter da = new SqlDataAdapter( cmd );
				DataTable dt = new DataTable();

				da.Fill( dt );

				return dt;
			}
		}
	}
}
